Subject: bug#54001: closed (Re: bug#54001: 29.0.50; abbreviate-file-name has side-effects)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 15 Feb 2022 13:12:02 +0000

Your bug report

#54001: 29.0.50; abbreviate-file-name has side-effects

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
54001: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=54001
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#54001: 29.0.50; abbreviate-file-name has side-effects
From: Stefan Monnier <[email-masked]>
To: Jim Porter <[email-masked]>
Cc: Daniel Mendler <[email-masked]>, [email-masked]
Date: Tue, 15 Feb 2022 08:11:35 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

> I've only lightly tested this patch, but I think it should resolve the
> issue. It only sets the "home-directory" connection property when
> a connection is already established. Otherwise, it just uses the cached
> value (if any).

Thanks, pushed to master.  And closing.
Daniel, feel to ping us back if the fix isn't good enough.

        Stefan

Subject: 29.0.50; abbreviate-file-name has side-effects
From: Stefan Monnier <[email-masked]>
To: [email-masked]
Date: Mon, 14 Feb 2022 12:19:57 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Package: Emacs
Version: 29.0.50

Since:

    commit bf505a63f98ed61934a8fb81ec65c96859606b6e
    Author: Jim Porter <[email-masked]>
    Date:   Mon Nov 15 13:33:07 2021 +0100

    Support abbreviating home directory of Tramp filenames

`abbreviate-file-name` has significantly changed in its behavior:
- it's slower (because it goes through file-name-handlers)
- it can have very visible side effects like prompting the user for a password.

I haven't measured the slowdown, so I'll assume it's acceptable, but
asking for a password (or contacting a remote host) is not.

I suggest we take a step back and think of how to get that feature
without having to contact any remote host during `abbreviate-file-name`.
Maybe we can do that by making Tramp opportunistically add entries to
`directory-abbrev-alist` when it performs expansion?

        Stefan